Update application
Update an application's name, description, metadata, status, or rate limit.
PATCH
/applications/{id}
Update an application's name, description, metadata, status, or rate limit.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Request Body required
Request body
application/jsonname
string
Updated name
description
string
Updated description
metadata
object
Updated metadata
status
string
Status: active or disabled
rate_limit
number | null
Updated rate limit
Responses
200
Updated application
application/jsonapplication
unknown
REQUIRED
400
No fields to update
401
Unauthorized
curl -X PATCH 'https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "description": "string", "metadata": {}, "status": "string", "rate_limit": 0}'
const response = await fetch('https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "description": "string", "metadata": {}, "status": "string", "rate_limit": 0 })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers, json={ "name": "string", "description": "string", "metadata": {}, "status": "string", "rate_limit": 0})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{ "name": "string", "description": "string", "metadata": {}, "status": "string", "rate_limit": 0}`) req, _ := http.NewRequest("PATCH", "https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "application": { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "name": "<string>", "uid": "<string>", "description": "<string>", "metadata": "<string>", "status": "<string>", "rate_limit": 123, "created_at": "<string>", "updated_at": "<string>", "endpoint_count": 123, "message_count": 123 }}
API Playground
Try this endpoint
PATCH
/applications/{id}